pcl::xNdCopyEigenPointFunctor< PointT > Struct Template Reference

Helper functor structure for copying data between an Eigen::VectorXf and a PointT. More...

`#include <pcl/filters/approximate_voxel_grid.h>`

## Public Types

typedef traits::POD< PointT >::type | Pod

## Public Member Functions

| xNdCopyEigenPointFunctor (const Eigen::VectorXf &p1, PointT &p2)
template<typename Key >
void | operator() ()

## Detailed Description

### template<typename PointT>
struct pcl::xNdCopyEigenPointFunctor< PointT >

Helper functor structure for copying data between an Eigen::VectorXf and a PointT.

Definition at line 48 of file approximate_voxel_grid.h.

## Member Typedef Documentation

template<typename PointT >

typedef traits::POD<PointT>::type pcl::xNdCopyEigenPointFunctor< PointT >::Pod

Definition at line 50 of file approximate_voxel_grid.h.

## Constructor & Destructor Documentation

template<typename PointT >

pcl::xNdCopyEigenPointFunctor< PointT >::xNdCopyEigenPointFunctor | ( | const Eigen::VectorXf & | p1,
|  | PointT & | p2
| ) |  |

inline

Definition at line 52 of file approximate_voxel_grid.h.

## Member Function Documentation

template<typename PointT >
template<typename Key >

void pcl::xNdCopyEigenPointFunctor< PointT >::operator() | ( |  | ) |

inline

Definition at line 57 of file approximate_voxel_grid.h.

The documentation for this struct was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/filters/include/pcl/filters/approximate_voxel_grid.h